net.minecraft.event

## Enum HoverEvent.Action

- java.lang.Object
- - java.lang.Enum<HoverEvent.Action>
  - - net.minecraft.event.HoverEvent.Action

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HoverEvent.Action>
  Enclosing class:
    HoverEvent

      public static enum HoverEvent.Action
      extends java.lang.Enum<HoverEvent.Action>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SHOW_ACHIEVEMENT`
    `SHOW_ITEM`
    `SHOW_TEXT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCanonicalName()`
    `static HoverEvent.Action` | `getValueByCanonicalName(java.lang.String p_150684_0_)`
    `boolean` | `shouldAllowInChat()`
    `static HoverEvent.Action` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HoverEvent.Action[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SHOW_TEXT

          public static final HoverEvent.Action SHOW_TEXT

    - #### SHOW_ACHIEVEMENT

          public static final HoverEvent.Action SHOW_ACHIEVEMENT

    - #### SHOW_ITEM

          public static final HoverEvent.Action SHOW_ITEM

  - ### Method Detail

    - #### values

          public static HoverEvent.Action[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HoverEvent.Action c : HoverEvent.Action.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HoverEvent.Action valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### shouldAllowInChat

          public boolean shouldAllowInChat()

    - #### getCanonicalName

          public java.lang.String getCanonicalName()

    - #### getValueByCanonicalName

          public static HoverEvent.Action getValueByCanonicalName(java.lang.String p_150684_0_)